<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('payroll_summaries', function (Blueprint $table) {
            $table->decimal('gross_pay_for_sss', 15,3)->default(0)->after('gross_pay');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('payroll_summaries', function (Blueprint $table) {
            $table->dropColumn('gross_pay_for_sss');
        });
    }
};
